{% extends 'home/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}

<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>

    <!-- top background -->
    <div class="art-top-bg" style="background-image: url(img/bg.jpg)">
        <!-- overlay -->
        <div class="art-top-bg-overlay"></div>
        <!-- overlay end -->
    </div>
    <!-- top background end -->


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- row -->
                <div class="row p-30-0">

                    <!-- col -->
                    <div class="col-lg-12">

                        <!-- section title -->
                        <div class="art-section-title">
                            <!-- title frame -->
                            <div class="art-title-frame">
                                <!-- title -->
                                <h4>{% trans "Reset Password" %}</h4>
                            </div>
                            <!-- title frame end -->
                            <!-- right frame -->
                            <div class="art-right-frame">
                                {% comment %} <div class="art-project-category">Ui Design, Graphic</div>
                                {% endcomment %}
                            </div>
                            <!-- right frame end -->
                        </div>
                        <!-- section title end -->

                    </div>
                    <!-- col end -->

                    <!-- col -->

                    <!-- col end -->

                    <!-- col -->
                    <div class="col-lg">
                        <!-- Display the errors -->
                        {% include "home/inc/messages.html" %}
                        <!-- Display the errors -->
                        <!-- post text -->
                        <div class="art-a art-card">
                            {% if validlink %}
                            <h3>{% trans "Change password" %}</h3>
                            <form method="post">
                                {% csrf_token %}
                                <!-- form field -->
                                <br />
                                <div class="art-form-field">
                                    <label for="new_password1" class="text-white" style="font-size: 17px;">
                                        {{form.new_password1.label}}
                                    </label>
                                    <!-- email input -->
                                    <input id="new_password1" name="new_password1" class="art-input" type="password"
                                        placeholder="{% trans 'Enter Password' %}" required />
                                    <!-- label -->
                                </div>
                                <!-- form field end -->
                                <!-- form field -->
                                <div class="art-form-field">
                                    <label for="new_password2" class="text-white" style="font-size: 17px;">
                                       {{form.new_password2.label}}
                                    </label>
                                    <!-- email input -->
                                    <input id="new_password2" name="new_password2" class="art-input" type="password"
                                        placeholder="{% trans 'Enter Password' %}" required />
                                    <!-- label -->
                                </div>
                                <!-- form field end -->
                                <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                                    <button type="submit" class="art-btn art-btn-md art-submit pt-3">{% trans 'Change password' %}</button>
                                </div>
                                
                            </form>
                            {% else %}
                            <p>
                                {% trans "The password reset link was invalid, possibly because it has already been used." %}
                                {% trans "Please request a new password reset." %}
                            </p>
                            {% endif %}
                        </div>
                        <!-- post text end -->

                    </div>
                    <!-- col end -->



                </div>
                <!-- row end -->

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->

{% endblock content %}